Bug 21911 - <video> pixel tests are failing
Summary: <video> pixel tests are failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 21322
Blocks: 22593 22615
  Show dependency treegraph
 
Reported: 2008-10-27 18:03 PDT by Pierre-Olivier Latour
Modified: 2008-12-02 19:38 PST (History)
2 users (show)

See Also:


Attachments
Patch v1 (1.35 MB, patch)
2008-11-26 16:55 PST, Pierre-Olivier Latour
no flags Details | Formatted Diff | Diff
Patch v2 (1.35 MB, patch)
2008-12-01 15:06 PST, Pierre-Olivier Latour
mitz: review+
Details | Formatted Diff | Diff
Patch v3 (1.62 MB, patch)
2008-12-01 17:23 PST, Pierre-Olivier Latour
mrowe: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre-Olivier Latour 2008-10-27 18:03:23 PDT
While re-doing the image bases for
https://bugs.webkit.org/show_bug.cgi?id=21821, we noticed that these pixel
tests are currently failing (SVG does not seem to be rendering):

media/video-aspect-ratio.html
media/video-controls-rendering.html
media/video-display-toggle.html
media/video-layer-crash.html
media/video-transformed.html
Comment 1 Pierre-Olivier Latour 2008-10-27 18:08:47 PDT
Ignore the SVG comment, that was copy-paste error...
Comment 2 Pierre-Olivier Latour 2008-11-26 15:54:20 PST
Still happens on r38790 and the tests work fine when run directly in Safari. There's however a delay of about half-a-second before the image appears in the video element.
Comment 3 Pierre-Olivier Latour 2008-11-26 16:55:22 PST
Created attachment 25545 [details]
Patch v1
Comment 4 Pierre-Olivier Latour 2008-12-01 15:06:11 PST
Created attachment 25639 [details]
Patch v2
Comment 5 Pierre-Olivier Latour 2008-12-01 15:37:20 PST
Sending        LayoutTests/ChangeLog
Sending        LayoutTests/media/video-aspect-ratio.html
Sending        LayoutTests/media/video-controls-rendering.html
Sending        LayoutTests/media/video-display-toggle.html
Sending        LayoutTests/media/video-layer-crash.html
Sending        LayoutTests/media/video-paint-test.js
Sending        LayoutTests/media/video-transformed.html
Sending        LayoutTests/platform/mac/media/video-aspect-ratio-expected.checksum
Sending        LayoutTests/platform/mac/media/video-aspect-ratio-expected.png
Sending        LayoutTests/platform/mac/media/video-controls-rendering-expected.checksum
Sending        LayoutTests/platform/mac/media/video-controls-rendering-expected.png
Sending        LayoutTests/platform/mac/media/video-display-toggle-expected.checksum
Sending        LayoutTests/platform/mac/media/video-display-toggle-expected.png
Sending        LayoutTests/platform/mac/media/video-layer-crash-expected.checksum
Sending        LayoutTests/platform/mac/media/video-layer-crash-expected.png
Sending        LayoutTests/platform/mac/media/video-transformed-expected.checksum
Sending        LayoutTests/platform/mac/media/video-transformed-expected.png
Transmitting file data .................
Committed revision 38879.

Comment 6 Pierre-Olivier Latour 2008-12-01 17:05:46 PST
The new bases do not work on the pixel bots (images are too dark for some unknown reason).
Comment 7 Pierre-Olivier Latour 2008-12-01 17:23:49 PST
Created attachment 25647 [details]
Patch v3

Here are new bases generated on the bot itself.

I'm not sure why the bases I generated on my machine are not matching what renders on the bot: the version of WK is really close, it's the same QT 7.5.5 and same HW. The bot is 10.5.5 and my machine 10.5.4 however.

One thing to notice is that it looks as if QT was rendering the frames in the wrong colorspace. Considering DRT changes temporarily the display colorspace, and the script launches and stop DRT a few times, maybe we have some kind of race condition and QT is not picking the right colorspace. It's either that, or a difference in display colorspace & QT behavior in 10.5.5 versus 10.5.4.
Comment 8 Pierre-Olivier Latour 2008-12-01 17:32:08 PST
Sending        LayoutTests/ChangeLog
Sending        LayoutTests/platform/mac/media/video-aspect-ratio-expected.checksum
Sending        LayoutTests/platform/mac/media/video-aspect-ratio-expected.png
Sending        LayoutTests/platform/mac/media/video-controls-rendering-expected.checksum
Sending        LayoutTests/platform/mac/media/video-controls-rendering-expected.png
Sending        LayoutTests/platform/mac/media/video-display-toggle-expected.checksum
Sending        LayoutTests/platform/mac/media/video-display-toggle-expected.png
Sending        LayoutTests/platform/mac/media/video-layer-crash-expected.checksum
Sending        LayoutTests/platform/mac/media/video-layer-crash-expected.png
Sending        LayoutTests/platform/mac/media/video-transformed-expected.checksum
Sending        LayoutTests/platform/mac/media/video-transformed-expected.png
Transmitting file data ...........
Committed revision 38886.

Comment 9 Pierre-Olivier Latour 2008-12-02 17:33:29 PST
To conclude on the above issue, my machine actually had a custom version of QT installed instead of the regular 7.5.5. This very likely explains why the bases I checked in were incorrect.

However, the new bases are randomly failing on the bot:
https://bugs.webkit.org/show_bug.cgi?id=22593
Comment 10 Pierre-Olivier Latour 2008-12-02 19:37:30 PST
Finally! I found the exact reason for the difference between my machine and the bot: I have Perian installed and the bot doesn't. If I remove Perian from my machine, then the video test.mp4 renders with the same brightness as on the bot.

Here's a new bug that tracks this issue:
https://bugs.webkit.org/show_bug.cgi?id=22615